Skip to main content
`Ctrl`+`K`

# VecRegisterAll

Registers all of the vector types in the `Vec` package.

## Synopsis

    PetscErrorCode VecRegisterAll(void)

Not Collective

## See Also

Vectors and Parallel Data, `Vec`, `VecType`, `VecRegister()`, `VecRegisterDestroy()`

## Level

advanced

## Location

src/vec/vec/interface/vecregall.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages